Erro no WordPress "Falha ao publicar. A resposta não é um JSON válido." quando se utiliza um bloco HTML com código personalizado.

Olá, pessoal! Como vão? :grinning:
Resolvi usar a Umbler e usei a opção de instalar automaticamente o WordPress. Mas preciso adicionar uns blocos html personalizado no meu site. (Google ADSense, códigos da amazon…) Mas, eu percebi que, quando eu os adiciono na página. o Erro no JSON surge.

Captura de tela 2022-02-24 132121

Rodei a internet pesquisando sobre, alguns me recomendaram alguns passos que não resolveram, são eles:

  • Atualizar os links permanentes na configuração do WordPress
  • Atualizar e limpar o arquivo .htasses no servidor
  • Configurar o SSL e configurar no WordPress usando o plugin Really Simple SSL
  • Desativar todos os plugins e temas para verificar se o erro permanece.
    *Utilizar a mais nova versão do Blocks e do WP
    *Trocar os temas para verificar se o erro permanece

Observação importante: Eles recomendam usar o editor de texto clássico, mesmo assim não funcionou. E o tema que eu utilizo, a utilização de blocos é fundamental, então nem posso ficar sem.

Nada funcionou…

Fuçando mais um pouco, me deparei com um site que passou pelo mesmo problema com o site dele. E ele apontou que, isso corre no servidor (no caso dele é o cloudflare) protegendo contra arquivos maliciosos.

A matéria em inglês vocês podem ver no site: The Case of the Updating Failed JSON Error – Chapter 3 - WP Mainline

Fiquei com medo de pedir suporte direto na umbler e acabarem não entendendo a minha questão, por isso apelei no tópico. Será que eu teria então que entrar em contato com o pessoal da Umbler para verificar isso? Alguém tem uma luz?

1 curtida

Opa!

Eai Ataque!

Tudo tranquilo?

Consegue fazer um teste?
Desative todos os plugins (ou pelo menos os de page-builder / editor / blocos) e tente publicar novamente.

Se isso não resolver, tente publicar também usando o tema padrão do WordPress.

Ola Henrique! Belezinha?
Como eu informei na postagem, eu testei desativar os blocos, editor, tema, tudo e não dá… O erro permanece. :frowning: